cpu-0.1.2: Cpu information and properties helpers.

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | Safe-Inferred
Language | Haskell98

System.Cpuid

Description

Synopsis

- cpuidWithIndex :: Word32 -> Word32 -> IO (Word32, Word32, Word32, Word32)
- cpuid :: Word32 -> IO (Word32, Word32, Word32, Word32)

# Documentation

cpuidWithIndex :: Word32 -> Word32 -> IO (Word32, Word32, Word32, Word32) Source #

complete cpuid call with eax and ecx set.

cpuid :: Word32 -> IO (Word32, Word32, Word32, Word32) Source #

simple cpuid call.